%define _prefix /usr/X11R6

Summary:	A movie player for QuickTime and MPEG-2 movies
Name:		xmovie
Version:	1.9
Release:	1
Group:		Video

Source0:	http://heroinewarrior.com/xmovie-%{version}.tar.bz2
Source1:	xmovie-16.xpm
Source2:	xmovie-32.xpm
Source3:	xmovie-48.xpm
Patch0:		xmovie-1.8-no-ix86.patch.bz2
# sorry, no avi in this one, because it requires lame which does have problems
# Not needed for now, as USE_AVI is defined as 0 because building it with
# gcc 3.0 has some problems. We might need to re-eanble these patches later
# so we make it stay in the source.
Patch1:		xmovie-1.8-no-avi.patch.bz2
Patch2:		xmovie-1.8-no-define-use-avi.patch.bz2
Patch3: 	xmovie-1.9-varpatch.bz2
Patch4:		xmovie-1.9-enableavi.patch
URL:		http://heroinewarrior.com/xmovie.html
License:	GPL
BuildRoot:	%{_tmppath}/%{name}-%{version}-root
BuildRequires:	glib-devel libpng-devel XFree86-static-libs >= 4.0.1
%ifarch %ix86
BuildRequires:  nasm
%endif


%description
Introducing a movie player for MPEG-2, DVD, and Quicktime movies with
stereo sound.  It won't play any movies you download from the
internet.  What XMovie is used for is playing long, high resolution
movies you capture or composite yourself with stereo sound.  The other
Quicktime players, well, the other player is not convenient for movies
over 50 minutes and it doesn't support aspect ratios or stereo sound.

XMovie plays MPEG-1/MPEG-2 system streams, MP2/MP3/AC3 audio, MPEG-1/2
video, Quicktime video (Motion JPEG A, Uncompressed RGB, Component video,
Progressive JPEG, PNG, YUV 4:2:0, DV), Quicktime audio: Twos complement,
IMA4, ulaw).

%prep
%setup -q
#%ifnarch %ix86
#%patch0 -p1 -b .no-ix86
#%endif
%patch3 -p1 -b .build
%patch4 -p1 -b .avi

%build
chmod -R u+rw,go+r .
# fucking legal issues.
#rm -rf avifile/audioencoder
export CFLAGS="$RPM_OPT_FLAGS"
export CXXFLAGS="$RPM_OPT_FLAGS"
# Don't use %%configure. I mean it. It breaks things.
%ifnarch %ix86
./configure --alpha --no-mmx --no-css
%else
./configure --no-css
%endif

export PATH=$PATH:.
make

%install
mkdir -p $RPM_BUILD_ROOT/%{_prefix}/bin
make PREFIX="$RPM_BUILD_ROOT%_prefix" install
# XXX hany: not used on RedHat systems; what dir (if any) is RedHat using?
#install -m 755 -d $RPM_BUILD_ROOT/usr/lib/menu
install -m 755 -d $RPM_BUILD_ROOT/usr/share/icons/{mini,large}
install -m 644 %SOURCE1 $RPM_BUILD_ROOT/usr/share/icons/mini/%name.xpm
install -m 644 %SOURCE2 $RPM_BUILD_ROOT/usr/share/icons/%name.xpm
install -m 644 %SOURCE3  $RPM_BUILD_ROOT/usr/share/icons/large/%name.xpm
mkdir -p $RPM_BUILD_ROOT/usr/lib/win32

# XXX hany: not used on RedHat systems; what dir (if any) is RedHat using?
#cat << EOF > $RPM_BUILD_ROOT/usr/lib/menu/%name
#?package(xmovie):\
#	needs="X11"\
#	icon="xmovie.xpm"\
#	section="Multimedia/Video"\
#	title="xmovie"\
#	longtitle="Video player"\
#        kde_opt="InitialPreference=10"\
#        kde_mimetype="video/x-msvideo;video/quicktime;video/x-flic;video/mpeg;video/x-mpeg"\
#	command="/usr/X11R6/bin/xmovie"
#EOF
#
#%post
#%update_menus
#
#%postun
#%clean_menus

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README docs/index.html
%attr(755,root,root) %{_prefix}/bin/xmovie
# XXX hany: not used on RedHat systems; what dir (if any) is RedHat using?
#/usr/lib/menu/*
/usr/share/icons/*.xpm
/usr/share/icons/*/*.xpm
%dir /usr/lib/win32

%changelog
* Tue Sep  4 2001 Peter Hanecak <hanecak@megaloman.sk>
- updated to 1.9 using Mandrake's xmovie-1.9-3mdk package
- sanitized xmovie-1.9-varpatch
- enabled AVI support

* Thu Aug 30 2001 David BAUDENS <baudens@mandrakesoft.com> 1.9-3mdk
- Use new icons

* Sun Aug 26 2001 Geoffrey Lee <snailtalk@mandrakesoft.com> 1.9-2mdk
- Include the menu file inside the spec file.
- Include small, normal and large icons (ghibo).

* Sat Aug 25 2001 Geoffrey Lee <snailtalk@mandrakesoft.com> 1.9-1mdk
- Bump out the new and shiny 1.9.
- Remove the obsolete gcc 2.95 permissive hack.
- Make it build again (chmou).

* Thu Jul 12 2001 Geoffrey Lee <snailtalk@mandrakesoft.com> 1.8-3mdk
- Put menu file in /usr/lib/menu (no, duhhhhh).
- Make this build on non-ix86 platforms.

* Tue Jul 03 2001 Stefan van der Eijk <stefan@eijk.nu> 1.8-2mdk
- BuildRequires:	glib-devel
- BuildRequires:	libpng-devel
- Removed BuildRequires:	XFree86-devel

* Fri Jun  1 2001 Peter Hanecak <hanecak@megaloman.sk>
- adapted to Doors Linux
- added /usr/lib/win32 directory to package (DLLs for avifile should be
  placed there)

* Sat May 26 2001 Geoffrey lee <snailtalk@mandrakesoft.com> 1.8-1mdk
- Build a 1.8 for general consumption in cooker.

* Tue May 01 2001 Geoffrey Lee <snailtalk@mandrakesoft.com> 1.7-1mdk
- Build 1.7 for everyone to use.

* Thu Apr 19 2001 Geoffrey Lee <snailtalk@mandrakesoft.com> 1.6-2mdk
- Force it to only build in x86 aka add an ExclusiveArch: for x86.

* Thu Feb 08 2001 Geoffrey Lee <snailtalk@mandrakesoft.com> 1.6-1mdk
- new source bumped into cooker.
- use of the %%configure macro.
- new url.
- use -fexceptions which is needed to compile.

* Wed Jan 24 2001 Till Kamppeter <till@mandrakesoft.com> 1.5.4-1mdk
- Another new source

* Thu Nov 30 2000 Geoffrey Lee <snailtalk@mandrakesoft.com> 1.5.3-1mdk
- new and shiny source bumped into cooker.

* Fri Nov 16 2000 David BAUDENS <baudens@mandrakesoft.com> 1.5.2-2mdk
- ExcludeArch: ppc

* Tue Nov 14 2000 Geoffrey Lee <snailtalk@mandrakesoft.com> 1.5.2-1mdk
- new and shiny source bumped into cooker.

* Fri Oct 24 2000 Montel Laurent <lmontel@mandrakesoft.com> 1.5.1-2mdk
- Now xmovie is the first application to read video when you click on
  konqueror

* Tue Aug 29 2000 Geoffrey Lee <snailtalk@mandrakesoft.com> 1.5.1-1mdk
- s|1.5|1.5.1|;

* Fri Aug 25 2000 Geoffrey Lee <snailtalk@mandrakesoft.com> 1.5-1mdk
- new and shiny version, major changes ..!!
- get untar of source to shut up as it is too annoying to watch.

* Thu Aug 10 2000 Giuseppe Ghib <ghibo@mandrakesoft.com> 1.4-1mdk
- updated to version 1.4.

* Thu Jul 06 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 1.3.1-6mdk
- ExludArch: ppc too.

* Wed May 24 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 1.3.1-5mdk
- ExcludeArch: alpha since it contain non portable asm.

* Sat Apr 29 2000 Giuseppe Ghib <ghibo@mandrakesoft.com> 1.3.1-4mdk
- updated to real 1.3.1 version.
- fixed absolute path in for icon in menu entry.

* Tue Apr 18 2000 dam's <damien@mandrakesoft.com> 1.3.1-3mdk
- Convert gif icon to xpm.

* Mon Apr 17 2000 dam's <damien@mandrakesoft.com> 1.3.1-2mdk
- Added menu entry.

* Thu Mar 30 2000 dam's <damien@mandrakesoft.com> 1.3.1-1mdk
- Update to 1.3.1.

* Mon Nov 15 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Fix gcc2.95 compilation.

* Sat Nov 06 1999 John Buswell <johnb@mandrakesoft.com>
- 1.1.1
- Build Release

* Sat Sep 18 1999 Giuseppe Ghib <ghibo@linux-mandrake.com>
- initial SPEC file for Mandrake distribution.
